# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices.html#use-parameters-for-application-configuration
parameters:
    locale: "es"
  # parametro_fotos: "%kernel.project_dir%/../build/assets/images/fotos/"
    parametro_fotos: "styles/assets/images/users/" # Parametro para mover foto desde controlador
    parametro_ver_foto: "../../styles/assets/images/users/" # Parametro para ver foto Usuarios Administrador
    parametro_subir_foto: "styles/assets/images/users/"
    # parametro_ver_logo: "../../build/assets/logos/" # Parametro para ver foto Usuarios Administrador
    # parametro_ver_foto_jefatura: "../../../build/assets/images/fotos/" # Parametro para ver foto Usuarios Jefaturar
    # parametro_ver_foto_proveedor: "../../../build/assets/images/fotos/"
    # parametro_fotos_clientes: "build/assets/images/fotos_clientes/" # Parametro para mover foto desde controlador
    # parametro_ver_foto_clientes: "../../../../build/assets/images/fotos_clientes/"
    parametro_subir_file_tupa: "styles/assets/files/tupa/"
    parametro_ver_file_tupa: "../../styles/assets/files/tupa/"
    parametro_subir_file: "styles/assets/files/"
    parametro_ver_file: "../../styles/assets/files/"
    # parametro_ver_file_expediente_grados_grados_plan_tesis: "../../../build/assets/files/grados/"
    # parametro_ver_file_expediente_grados: "../../../../../build/assets/files/"
    # parametro_ver_file_expediente_grados_plan_tesis: "../../../../../build/assets/files/grados/"
 
twig:
    globals:
        parametro_ver_foto_user: "styles/assets/images/users/"
        parametro_ver_foto_clientes: "build/assets/images/fotos_clientes/"
        parametro_ver_file_twig: "build/assets/files/"
        parametro_ver_logo_twig: "build/assets/logos/"

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones
